DECLARE SUB RndFight ()
DECLARE SUB Stats ()
DECLARE SUB Alley2 ()
DECLARE SUB Alley3 ()
DECLARE SUB CannotGo ()
DECLARE SUB Receptionist ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB Alley1

RestoreRoom = 5
Room:
  CLS
  PRINT "You are standing in an alley.  Tall brick buildings tower overhead, and heaps"
  PRINT "of garbage and refuse lay on the ground.  Steam from vents hisses in the air,"
  PRINT "providing a dark quality to the surroundings.  The alley continues to the"
  PRINT "south and west, and a door with the label 'Morgue' is to the east."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN CannotGo: GOTO Command
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN Alley2
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN Receptionist
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN Alley3
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "LOOK GARBAGE" OR a$ = "GET REFUSE" OR a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "LOOK STEAM" THEN PRINT "Steam rises in white billows from the vent.": GOTO Command
  IF a$ = "LOOK VENT" OR a$ = "OPEN VENT" THEN PRINT "Steam rises in white billows from the vent.  It is rusted firmly in place.": GOTO Command
  IF a$ = "GET GARBAGE" OR a$ = "GET REFUSE" THEN PRINT "You don't need that.": GOTO Command
  IF a$ = "SEARCH TRASH" OR a$ = "SEARCH TRASH CAN" OR a$ = "GET TRASH" OR a$ = "SEARCH DUMPSTER" OR a$ = "OPEN DUMPSTER" THEN PRINT "The Sprawl's sanitary engineers must be on strike again.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "The piles of garbage yield nothing of interest."
  GOTO Command

END SUB

